MariaDB Galera Fix 5.5.42 Fix

 

Installing package(s) with command apt-get -y install libmysqlclient18 ..

 

Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  comerr-dev galera-3 iproute krb5-multidev libapr1-dev libgssrpc4
  libkadm5clnt-mit9 libkadm5srv-mit9 libkdb5-7 libldap2-dev libpq-dev
  libsctp-dev libsctp1 libsqlite3-dev libssl-dev libssl-doc
  libterm-readkey-perl linux-image-3.13.0-46-generic
  linux-image-extra-3.13.0-46-generic lksctp-tools mariadb-common uuid-dev
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  apache2-dev libaprutil1-dev libmariadbclient-dev libmariadbclient18
  mariadb-client-5.5 mariadb-client-core-5.5 mariadb-galera-server-5.5
The following packages will be upgraded:
  libmysqlclient18
1 upgraded, 0 newly installed, 7 to remove and 0 not upgraded.
Need to get 596 kB of archives.
After this operation, 123 MB disk space will be freed.
Get:1 http://security.ubuntu.com/ubuntu/ trusty-security/main libmysqlclient18 amd64 5.5.43-0ubuntu0.14.04.1 [596 kB]
Fetched 596 kB in 1s (451 kB/s)
(Reading database ... 123781 files and directories currently installed.)
Removing apache2-dev (2.4.7-1ubuntu4.4) ...
Removing libaprutil1-dev (1.5.3-1) ...
Removing libmariadbclient-dev (5.5.42+maria-1~trusty) ...
Removing mariadb-galera-server-5.5 (5.5.42+maria-1~trusty) ...
 * Stopping MariaDB database server mysqld
   ...done.
Removing mariadb-client-5.5 (5.5.42+maria-1~trusty) ...
Removing mariadb-client-core-5.5 (5.5.42+maria-1~trusty) ...
Removing libmariadbclient18 (5.5.42+maria-1~trusty) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.6) ...
(Reading database ... 122799 files and directories currently installed.)
Preparing to unpack .../libmysqlclient18_5.5.43-0ubuntu0.14.04.1_amd64.deb ...
Unpacking libmysqlclient18:amd64 (5.5.43-0ubuntu0.14.04.1) over (5.5.42+maria-1~trusty) ...
Setting up libmysqlclient18:amd64 (5.5.43-0ubuntu0.14.04.1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.6) ...
 
 
To Fix
Ensure you are using latest source. (see http://philippe.scoffoni.net/mise-a-jour-de-mariadb-pas-que-bonheur/)
 
Get latest repository here
https://downloads.mariadb.org/mariadb/repositories/#mirror=marty-anstey&distro=Ubuntu&distro_release=trusty--ubuntu_trusty&version=5.5
 

 

sudo apt-get remove libdbd-mysql-perl libmariadbclient18 libmysqlclient18 mariadb-client-5.5 mariadb-common mariadb-galera-server mariadb-galera-server-5.5 mysql-common  php5-mysql mariadb-client-core-5.5

 

Once everything is re-instal ensure your cluster is running as expected.

sudo apt-key adv --recv-keys --keyserver hkp://keyserver.ubuntu.com:80 0xcbcb082a1bb943db

sudo add-apt-repository ‘deb http://mariadb.mirror.anstey.ca//repo/5.5/ubuntu trusty main’ 

 

sudo apt-get update && sudo apt-get install libmysqlclient18=5.5.44+maria-1~trusty mariadb-client-5.5=5.5.44+maria-1~trusty mariadb-client-core-5.5=5.5.44+maria-1~trusty mariadb-galera-server-5.5

 

mysql -u root -p -e ‘SELECT VARIABLE_VALUE as “cluster size” FROM INFORMATION_SCHEMA.GLOBAL_STATUS WHERE VARIABLE_NAME=”wsrep_cluster_size”‘

 

+————–+

| cluster size |

+————–+

| 4            |

+————–+

 

Creds: http://philippe.scoffoni.net/mise-a-jour-de-mariadb-pas-que-bonheur/